package com.fuzamei.entity;

/**
 * 
 * @className:Orders[订单实体类]
 * @author:ylx--->[yanglingxiao2009@163.com]
 * @date:2018年1月24日下午5:19:48
 * @version v1.0
 */
public class Orders {
	private Integer id;				//主键id
	private Integer orderId;		//订单id
	private String partNo;			//零件号
	private String boxNo;			//箱号
	private String boxName;			//箱号名
	private Integer boxQty;			//箱子数量
	private Integer inboxQty;		//箱中零件数量
	private Long requireTime;		//订单需求时间
	private Long sendTime;			//订单发货时间
	private Integer plannerId;		//计划员id
	private String plannerName;		//计划员姓名
	private Integer supplierId;		//供应商id
	private String supplierName;	//供应商姓名
	private Integer carrierId;		//承运商id
	private String carrierName;		//承运商姓名
	private Integer receiverId;		//收货员id
	private String receiverName;	//收货员姓名
	private Long transportTime;		//承运时间
	private Long tallyTime;			//点货时间
	private String carNo;			//车牌号
	private Integer statusId;		//状态id
	private String statusName;		//状态名
	private Long createTime;        //订单创建时间
	private Long updateTime;        //订单更新时间
	public String getPlannerName() {
		return plannerName;
	}
	public void setPlannerName(String plannerName) {
		this.plannerName = plannerName;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	public String getCarrierName() {
		return carrierName;
	}
	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}
	public String getReceiverName() {
		return receiverName;
	}
	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}
	public String getBoxName() {
		return boxName;
	}
	public void setBoxName(String boxName) {
		this.boxName = boxName;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getOrderId() {
		return orderId;
	}
	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}
	public String getPartNo() {
		return partNo;
	}
	public void setPartNo(String partNo) {
		this.partNo = partNo;
	}
	public String getBoxNo() {
		return boxNo;
	}
	public void setBoxNo(String boxNo) {
		this.boxNo = boxNo;
	}
	public Integer getBoxQty() {
		return boxQty;
	}
	public void setBoxQty(Integer boxQty) {
		this.boxQty = boxQty;
	}
	public Integer getInboxQty() {
		return inboxQty;
	}
	public void setInboxQty(Integer inboxQty) {
		this.inboxQty = inboxQty;
	}
	public Long getRequireTime() {
		return requireTime;
	}
	public void setRequireTime(Long requireTime) {
		this.requireTime = requireTime;
	}
	public Long getSendTime() {
		return sendTime;
	}
	public void setSendTime(Long sendTime) {
		this.sendTime = sendTime;
	}
	public Integer getPlannerId() {
		return plannerId;
	}
	public void setPlannerId(Integer plannerId) {
		this.plannerId = plannerId;
	}
	public Integer getSupplierId() {
		return supplierId;
	}
	public void setSupplierId(Integer supplierId) {
		this.supplierId = supplierId;
	}
	public Integer getCarrierId() {
		return carrierId;
	}
	public void setCarrierId(Integer carrierId) {
		this.carrierId = carrierId;
	}
	public Integer getReceiverId() {
		return receiverId;
	}
	public void setReceiverId(Integer receiverId) {
		this.receiverId = receiverId;
	}
	public Long getTransportTime() {
		return transportTime;
	}
	public void setTransportTime(Long transportTime) {
		this.transportTime = transportTime;
	}
	public Long getTallyTime() {
		return tallyTime;
	}
	public void setTallyTime(Long tallyTime) {
		this.tallyTime = tallyTime;
	}
	public String getCarNo() {
		return carNo;
	}
	public void setCarNo(String carNo) {
		this.carNo = carNo;
	}
	public Integer getStatusId() {
		return statusId;
	}
	public void setStatusId(Integer statusId) {
		this.statusId = statusId;
	}
	public String getStatusName() {
		return statusName;
	}
	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}
	public Long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	
}
